Bug 1259272 - <Shift>space switches keyboard layout
Summary: <Shift>space switches keyboard layout
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-02 10:35 UTC by alyoshyn.np
Modified: 2018-11-30 17:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:30:58 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot of Settings | Keyboard | Shortcuts | Typing (36.65 KB, image/png)
2015-09-02 10:35 UTC, alyoshyn.np
no flags Details
~/config/dconf/user file (15.55 KB, application/octet-stream)
2015-09-03 07:17 UTC, alyoshyn.np
no flags Details

Description alyoshyn.np 2015-09-02 10:35:18 UTC
Created attachment 1069347 [details]
Screenshot of Settings | Keyboard | Shortcuts | Typing

Description of problem:
<Shift>space switches keyboard layout

Version-Release number of selected component (if applicable):


How reproducible:
Install a fresh copy of Fedora 22 Workstation(Gnome)

Steps to Reproduce:
1.Install Fedora 22 Workstation(Gnome)
2.Make sure you have 2 or more keyboard layouts
3.Press <Shift>space

Actual results:
Keyboard layout changes

Expected results:
White space character is entered

Additional info:
In Settings | Keyboard | Shortcuts | Typing <Super>space, <Super><Shift>space and <Alt><Shift> configured to switch layout. No <Shift>space shortcut can be found.
Dconf-editor's org | gnome | desktop | wm | keybindings has no mention of <Shift>space shortcut as well.
Wasn't sure which component to pick so I chose gdm.

Comment 1 alyoshyn.np 2015-09-03 07:17:49 UTC
Created attachment 1069645 [details]
~/config/dconf/user file

Comment 2 alyoshyn.np 2015-09-03 07:19:57 UTC
(In reply to alyoshyn.np from comment #1)
> Created attachment 1069645 [details]
> ~/config/dconf/user file

Removing or renaming ~/config/dconf/user file fixes the issue. Still not sure as to why or where <Shift>space was configured to switch input sources.

Comment 3 Fedora End Of Life 2016-07-19 17:45:49 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Medic Momcilo 2017-05-16 19:50:43 UTC
Just encountered this bug after installation.
Luckily I did just one thing differently than usual.

Issue is if Left Shift + Left Alt is set as additional method of switching this Shift + Space will occur.

Proper workaround is to install gnome-tweak-tool and disable that additional shortcut.

If you need any further info, please do let me know.

Comment 5 Jan Kurik 2017-08-15 08:57:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 6 Ben Cotton 2018-11-27 18:31:17 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2018-11-30 17:30:58 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.